### Method

# FwupdPlugin UsbDevice reset

since: 2.0.0

#### Declaration [src]

    gboolean
    fu_usb_device_reset (
      FuUsbDevice* self
      GError** error
    )

#### Description [src]

Perform a USB port reset to reinitialize a device.

If the reset succeeds, the device will appear to disconnected and reconnected. This means the `self` will no longer be valid and should be closed and rediscovered.

This is a blocking function which usually incurs a noticeable delay.

Available since: 2.0.0

#### Return value

Type: `gboolean`

`TRUE` on success.